libzypp: ztui::out::TableLayout::Writer< TFormater > Class Template Reference

libzypp 17.38.14

ztui::out::TableLayout::Writer< TFormater > Class Template Reference

Write out a Table according to the layout. More...

`#include <zypp-tui/output/Out.h>`

## Public Member Functions
| NON_COPYABLE (Writer)
| Writer (std::ostream &str_r, const TableLayout &layout_r, const TFormater &formater_r)
| ~Writer ()
template<class Tp>
void | operator<< (Tp &&val_r) const

## Private Attributes
std::ostream & | _str
const TableLayout & | _layout
const TFormater & | _formater
Table | _t

## Detailed Description

template<class TFormater>
class ztui::out::TableLayout::Writer< TFormater >

Write out a Table according to the layout.

Definition at line 291 of file Out.h.

## Constructor & Destructor Documentation

## ◆ Writer()

template<class TFormater>

ztui::out::TableLayout::Writer< TFormater >::Writer | ( | std::ostream & | str_r,
|  | const TableLayout & | layout_r,
|  | const TFormater & | formater_r )
| inline

Definition at line 295 of file Out.h.

## ◆ ~Writer()

template<class TFormater>

ztui::out::TableLayout::Writer< TFormater >::~Writer | ( |  | ) |
| inline

Definition at line 301 of file Out.h.

## Member Function Documentation

## ◆ NON_COPYABLE()

template<class TFormater>

ztui::out::TableLayout::Writer< TFormater >::NON_COPYABLE | ( | Writer< TFormater > |  | ) |

## ◆ operator<<()

template<class TFormater>
template<class Tp>

void ztui::out::TableLayout::Writer< TFormater >::operator<< | ( | Tp && | val_r | ) | const
| inline

Definition at line 311 of file Out.h.

## Member Data Documentation

## ◆ _str

template<class TFormater>

std::ostream& ztui::out::TableLayout::Writer< TFormater >::_str
| private

Definition at line 315 of file Out.h.

## ◆ _layout

template<class TFormater>

const TableLayout& ztui::out::TableLayout::Writer< TFormater >::_layout
| private

Definition at line 316 of file Out.h.

## ◆ _formater

template<class TFormater>

const TFormater& ztui::out::TableLayout::Writer< TFormater >::_formater
| private

Definition at line 317 of file Out.h.

## ◆ _t

template<class TFormater>

Table ztui::out::TableLayout::Writer< TFormater >::_t
| mutableprivate

Definition at line 318 of file Out.h.

The documentation for this class was generated from the following file:

- zypp-tui/output/Out.h